Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Structures | Data Fields
rb_transcoding Struct Reference

## Data Structures
union | rb_transcoding_state_t

## Data Fields
const rb_transcoder * | transcoder
int | flags
int | resume_position
unsigned int | next_table
VALUE | next_info
unsigned char | next_byte
unsigned int | output_index
ssize_t | recognized_len
ssize_t | readagain_len
union {
unsigned char ary [8]
unsigned char * ptr
} | readbuf
ssize_t | writebuf_off
ssize_t | writebuf_len
union {
unsigned char ary [8]
unsigned char * ptr
} | writebuf
union rb_transcoding::rb_transcoding_state_t | state

## Detailed Description

Definition at line 52 of file transcode.c.

## Field Documentation

## ◆ ary

unsigned char rb_transcoding::ary[8]

Definition at line 66 of file transcode.c.

## ◆ flags

int rb_transcoding::flags

Definition at line 55 of file transcode.c.

## ◆ next_byte

unsigned char rb_transcoding::next_byte

Definition at line 60 of file transcode.c.

## ◆ next_info

VALUE rb_transcoding::next_info

Definition at line 59 of file transcode.c.

## ◆ next_table

unsigned int rb_transcoding::next_table

Definition at line 58 of file transcode.c.

## ◆ output_index

unsigned int rb_transcoding::output_index

Definition at line 61 of file transcode.c.

## ◆ ptr

unsigned char* rb_transcoding::ptr

Definition at line 67 of file transcode.c.

## ◆ readagain_len

ssize_t rb_transcoding::readagain_len

Definition at line 64 of file transcode.c.

Referenced by rb_econv_putback(), and rb_econv_putbackable().

## ◆ readbuf

union { ... } rb_transcoding::readbuf

## ◆ recognized_len

ssize_t rb_transcoding::recognized_len

Definition at line 63 of file transcode.c.

Referenced by rb_econv_putback().

## ◆ resume_position

int rb_transcoding::resume_position

Definition at line 57 of file transcode.c.

## ◆ state

union rb_transcoding::rb_transcoding_state_t rb_transcoding::state

## ◆ transcoder

const rb_transcoder* rb_transcoding::transcoder

Definition at line 53 of file transcode.c.

Referenced by rb_econv_append(), and rb_econv_encoding_to_insert_output().

## ◆ writebuf

union { ... } rb_transcoding::writebuf

## ◆ writebuf_len

ssize_t rb_transcoding::writebuf_len

Definition at line 71 of file transcode.c.

## ◆ writebuf_off

ssize_t rb_transcoding::writebuf_off

Definition at line 70 of file transcode.c.

The documentation for this struct was generated from the following file:

- transcode.c